Subject: Re: bug#416: elpa-debian-el: Reports go to the Debian BTS

From: Olaf Meeuwissen <[email-masked]>
Date: Mon, 30 Mar 2020 20:58:36 +0900

Mark Hindley writes:

> On Sun, Mar 29, 2020 at 01:19:28PM +0900, Olaf Meeuwissen wrote:
>> Hi Mark,
>>
>> Mark Hindley writes:
>>
>> > Olaf,
>> >
>> > Thanks for this.
>> >
>> > We have a problem with bug reporting tools as they are generally designed to
>> > work with a single BTS. reportbug itself does work with multiple BTS and I am working
>> > at a system which automatically sends bugs to the correct BTS depending on the
>> > source of the package.
>>
>> Is that server-side or client-side?  I hope the latter as I believe that
>> reportbug can be made to look at the package's version to decide which
>> of the Devuan and Debian BTSs should be targetted.
>
> Yes, client-side. We can use 'Origin: Devuan' in our packages to distinguish in
> reportbug once all Devuan's packages have that added to their source
> debian/control.

Good, but can't you use the package's version already?  I thought that
all repackaged packages have to add a `devuan` in their version.
I just ran

  dpkg-query -W | grep devuan

on my ASCII machine and only devuan-keyring didn't have `devuan` in its
version.  I think that's fair enough.  Are there other Devuan specific
packages that do not follow this rule of thumb?

Don't get me wrong, making all Devuan specific or repackaged packages
have an "Origin: Devuan" is a Good Thing.  I was just thinking you do
not have to wait for that when using package versions for the bulk of
packages.

>> > However, as far as elpa-debian-el goes, does setting the variables
>> > debian-bug-mail-address, debian-bug-mail-quiet-address and
>> > debian-bug-mail-maintonly-address to their @bugs.devuan.org equivalents work?
>>
>> I've tested this in #420 but, as noted there too, there are a lot of
>> other references to debian.org that may need to be updated as well for
>> full integration.  While desirable, I don't think that's a priority
>> though.
>
> I am glad that is a temporary work-around.
>
>> Looking through debian-bugs.el, I noticed that debian-bug-prefill-report
>> throws out the mail headers generated by reportbug :-o
>> The mail headers generated by reportbug already use the Devuan addresses
>> so it may be better to defer to those if available.  That's not really a
>> Devuan-specific issue though.
>
> That seems bizzarre behaviour! Maybe that is worth bugging Debian about?

I am thinking about doing so but I'll have to find some time to do so.
Maybe next weekend.  My SANE activities eat up most of my free time at
the moment.

Hope this helps,
--
Olaf Meeuwissen, LPIC-2            FSF Associate Member since 2004-01-27
 GnuPG key: F84A2DD9/B3C0 2F47 EA19 64F4 9F13  F43E B8A4 A88A F84A 2DD9
 Support Free Software                        https://my.fsf.org/donate
 Join the Free Software Foundation              https://my.fsf.org/join